bisect-rclone.sh 902 B

12345678910111213141516171819202122232425262728293031323334
  1. #!/bin/bash
  2. # Example script for git bisect run
  3. #
  4. # Copy this file into /tmp say before running as it will be
  5. # overwritten by the bisect as it is checked in.
  6. #
  7. # Change the test below to find out whether rclone is working or not
  8. #
  9. # Run from the project root
  10. #
  11. # git bisect start
  12. # git checkout master
  13. # git bisect bad
  14. # git checkout v1.41 (or whatever is the first good one)
  15. # git bisect good
  16. # git bisect run /tmp/bisect-rclone.sh
  17. set -e
  18. # Compile notifying git on compile failure
  19. make || exit 125
  20. rclone version
  21. # Test whatever it is that is going wrong - exit with non zero exit code on failure
  22. # commented out examples follow
  23. # truncate -s 10M /tmp/10M
  24. # rclone delete azure:rclone-test1/10M || true
  25. # rclone --retries 1 copyto -vv /tmp/10M azure:rclone-test1/10M --azureblob-upload-cutoff 1M
  26. # rm -f "/tmp/tests's.docx" || true
  27. # rclone -vv --retries 1 copy "drive:test/tests's.docx" /tmp